<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <title>Document</title>
    <style>
        section{
            width: 300px;
            height: 300px;
            border: 2px solid black;
            position: relative;
            
            
        }
       footer, header{
        width: 100%;
            background-color: blue;
            text-align: center;
        }
        footer{
        position: absolute;
        bottom: 0px;

    
        }
        section>form>button{
            background-color: blue;
        }
        section>form>button>i{
            font-size: 20px;
            color: red;
            background-color: yellow;
            border-radius: 100%;
            
        }
        section>form>button>i:hover{
            background-color: red;
            color: yellow;
        }
        
    </style>
    
</head>
<body>
    <section>
        <header>ENTER PASSWORD</header>
        <form action="">
        <label for="">userName</label><br>
        <input type="text"><br>
        <label for="">password</label><br>
        <input type="password" pattern=".{3,}" id="showPassword">
        <button id="btn"><i class="fas fa-eye"></i></button><br>
        <!-- <button id="btn2">submit</button> -->
    </form>
<footer>end</footer>
    </section>
    <script>
        let mainContainer=document.getElementsByTagName('section')[0];
        // mainContainer.style.top='40px';
        // mainContainer.style.left='40px';
       let showBtn=document.getElementById('btn');
    //    showBtn.style.position='absolute';
    //    showBtn.style.left='250px'
    //    let submitBtn=document.getElementById('btn2');
    //    submitBtn.style.fontSize='30px';
    //    submitBtn.style.backgroundColor='red';
    //    submitBtn.style.color='white';
    //    submitBtn.style.width='200px';
    //    submitBtn.style.position='absolute';
    //    submitBtn.style.bottom='30px';

       
       showBtn.addEventListener('click',()=>{
        let showInput=document.getElementById('showPassword');
        if(showInput.type==='password')
        showInput.text='text';
        else
        showInput.type='password';
       })
    </script>
</body>
</html>